import { DataSource } from 'typeorm';
import { AttachmentEntity } from '../../../entities';
import { GetAttachmentsForMessageQuery } from '../../types';
import { rowToAttachment } from '../../mappers';

export async function handleGetAttachmentsForMessage(query: GetAttachmentsForMessageQuery, dataSource: DataSource) {
  const repo = dataSource.getRepository(AttachmentEntity);
  const rows = await repo.find({ where: { messageId: query.payload.messageId } });

  return rows.map(rowToAttachment);
}
